- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleApplication Class Reference

Search for all occurrences

## Detailed Description

Definition at line 109 of file qaccessibleobject.h.

`#include <qaccessibleobject.h>`

Inheritance diagram for QAccessibleApplication:
[legend]

List of all members.

## Public Member Functions
| QAccessibleApplication ()
int | childCount () const
int | indexOfChild (const QAccessibleInterface *) const
Relation | relationTo (int, const QAccessibleInterface *, int) const
int | childAt (int x, int y) const
int | navigate (RelationFlag, int, QAccessibleInterface **) const
QString | text (Text t, int child) const
Role | role (int child) const
State | state (int child) const
int | userActionCount (int child) const
bool | doAction (int action, int child, const QVariantList &params)
QString | actionText (int action, Text t, int child) const

## Constructor & Destructor Documentation

QAccessibleApplication | ( |  | ) |

## Member Function Documentation

int childCount | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

int indexOfChild | ( | const QAccessibleInterface * |  | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

Relation relationTo | ( | int | ,
|  | const QAccessibleInterface * | ,
|  | int |
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

int childAt | ( | int | x,
|  | int | y
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

int navigate | ( | RelationFlag | ,
|  | int | ,
|  | QAccessibleInterface ** |
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

QString text | ( | Text | t,
|  | int | child
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

Role role | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

State state | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

int userActionCount | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAccessibleObject.

bool doAction | ( | int | action,
|  | int | child,
|  | const QVariantList & | params
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAccessibleObject.

QString actionText | ( | int | action,
|  | Text | t,
|  | int | child
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAccessibleObject.

The documentation for this class was generated from the following file:

- QtGui/qaccessibleobject.h

QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication
QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication QAccessibleApplication